"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _utils = require("./utils");

var _default = (containers, opts, {
  rule
}) => {
  const container = rule();
  container.selectors = (0, _utils.flatten)(containers);
  container.append({
    prop: 'padding-left',
    value: `${opts.padding}rem`
  });
  container.append({
    prop: 'padding-right',
    value: `${opts.padding}rem`
  });
  container.append({
    prop: 'overflow',
    value: 'hidden'
  });

  if (opts.align === 'center') {
    container.append({
      prop: 'margin-left',
      value: 'auto'
    });
    container.append({
      prop: 'margin-right',
      value: 'auto'
    });
  }

  return container;
};

exports.default = _default;