"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _utils = require("./utils");

var _default = (fractions, opts, {
  rule
}) => {
  const fraction = rule();
  fraction.selectors = (0, _utils.flatten)(fractions);
  fraction.append({
    prop: 'margin-right',
    value: `${opts.gutter}rem`
  });
  fraction.append({
    prop: 'margin-bottom',
    value: `${opts.gutter}rem`
  });

  if (opts.display === 'flex') {
    fraction.append({
      prop: 'flex',
      value: '0 1 100%'
    });
  } else if (opts.display === 'float') {
    fraction.append({
      prop: 'clear',
      value: 'both'
    });
  }

  return fraction;
};

exports.default = _default;