"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.nodeRemove = exports.selectorsAdd = exports.flatten = void 0;

const flatten = arr => arr.reduce((flat, next) => {
  if (!next) {
    return flat;
  }

  return flat.concat(Array.isArray(next) ? flatten(next) : next);
}, []);

exports.flatten = flatten;

const selectorsAdd = (selector, selectors) => {
  if (selectors && selector) return `${selector}, ${selectors.toString()}`;
  if (selectors) return selectors.toString();
  return selector;
};

exports.selectorsAdd = selectorsAdd;

const nodeRemove = (node, cleanParent) => {
  if (cleanParent && node.parent.nodes.length === 1) {
    node.parent.remove();
  } else {
    node.remove();
  }
};

exports.nodeRemove = nodeRemove;